from random import *

def tirage_urne() :
    tirage=randint(1,20)
    if tirage<=8 :
        resultat="noire"
    else :
        resultat="blanche"
    return resultat

def dé_cubique() :
    numéro=randint(1,6)
    return numéro

def dé_tétraédrique() :
    numéro=randint(1,4)
    return numéro

def jeu() :
    boule=tirage_urne()
    if boule=='noire' :
        numéro=dé_cubique()
    else :
        numéro=dé_tétraédrique()
    if numéro==1 :
        résultat="gagné"
    else :
        résultat="perdu"
    return résultat

def répétition(n) :
    compteur=0
    for k in range (1,n+1) :
        résultat=jeu()
        if résultat=="gagné" :
            compteur=compteur+1
    fq=compteur/n
    return (compteur,fq)



